## leaflet-image 0.4.0~dfsg

=== debian/changelog ===
leaflet-image (0.4.0~dfsg-3) unstable; urgency=medium

  [ Debian Janitor ]
  * use debhelper compatibility level 12 (not 9);
    build-depend on debhelper-compat (not debhelper)
  * set upstream metadata fields:
    Bug-Database Bug-Submit Repository Repository-Browse
  * set Multi-Arch: foreign

  [ Jonas Smedegaard ]
  * use brotli compression suffix .brotli
    (not .br used for language breton)
  * declare compliance with Debian Policy 4.5.1
  * update watch file:
    + simplify regular expressions
    + use dversionmangle=auto
    + update usage comment

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 03 Dec 2020 20:13:23 +0100

leaflet-image (0.4.0~dfsg-2) unstable; urgency=medium

  * Fix clean generated documentation.
  * Fix set leafletImage (not leaflet-image) as window global,
    to match upstream build routines.
  * Fix have webpack look for modules below /usr/share
    (not only /usr/lib).
  * Fix explicitly set webpack output.path, (mandatory since Webpack 4).
    Closes: Bug#933666. Thanks to Pirate Praveen.
  * Fix browser library source-map reference, by having webpack uglify.
    Stop build-depend on node-source-map node-uglify.
  * Declare compliance with Debian Policy 4.4.0.
  * Mark autopkgtest as superficial.
  * Install nodejs code under /usr/share (not /usr/lib).

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 29 Aug 2019 13:01:52 +0200

leaflet-image (0.4.0~dfsg-1) unstable; urgency=low

  * Initial release.
  * Closes: bug#919927.

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 20 Jan 2019 19:49:53 +0100
