=== debian/rules ===
#!/usr/bin/make -f

STEM = leaflet-image

# generate documentation unless nodoc requested
ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
DOCS = README.html README.txt
endif

override_dh_auto_build: $(DOCS) \
 debian/js/$(STEM).min.js.gz

override_dh_installdocs:
	dh_installdocs --all -- $(DOCS)

debian/js/$(STEM).min.js: index.js
	webpack -d --config debian/webpack.config.js \
		--output-library leafletImage \
		--output-path $(abspath $(dir $@)) \
		--output-filename $(STEM).js -- $<
	webpack -p --config debian/webpack.config.js \
		--output-library leafletImage \
		--output-path $(abspath $(dir $@)) \
		--output-filename $(notdir $@) -- $<

# pre-compress for browser use
%.gz: %
	pigz --force --keep -11 -- $<
	brotli --force --keep --best --suffix=.brotli -- $<

%.html: %.md
	pandoc --from gfm-raw_html --to html --standalone \
		--metadata title:leaflet-image \
		--output $@ -- $<

%.txt: %.md
	pandoc --from gfm-raw_html --to plain \
		--output $@ -- $<

%:
	dh $@

.SECONDARY:
