=== debian/tests/control ===
Test-Command: node -e "require('leaflet-image');"
Restrictions: superficial
